Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.ascape.adapt
Class AscapePropertiesAdapterFactory

    java.lang.Object
      org.eclipse.amp.escape.ascape.adapt.AscapePropertiesAdapterFactory

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdapterFactory

    public class AscapePropertiesAdapterFactory

extends java.lang.Object
implements org.eclipse.core.runtime.IAdapterFactory

A factory for creating ScapeAdapter objects.

Field Summary
`static java.lang.Class[]` | `PROVIDERS`

Constructor Summary
`AscapePropertiesAdapterFactory()`

Method Summary
`java.lang.Object` | `getAdapter(java.lang.Object adaptableObject, java.lang.Class adapterType)`
`java.lang.Class[]` | `getAdapterList()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROVIDERS

    public static final java.lang.Class[] PROVIDERS

Constructor Detail

### AscapePropertiesAdapterFactory

    public AscapePropertiesAdapterFactory()

Method Detail

### getAdapter

    public java.lang.Object getAdapter(java.lang.Object adaptableObject,
                                       java.lang.Class adapterType)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdapterFactory`
  Parameters:
    `adaptableObject` -
    `adapterType` -
  Returns:
  See Also:
    `IAdapterFactory.getAdapter(java.lang.Object, java.lang.Class)`

### getAdapterList

    public java.lang.Class[] getAdapterList()

  Specified by:
    `getAdapterList` in interface `org.eclipse.core.runtime.IAdapterFactory`
  Returns:
  See Also:
    `IAdapterFactory.getAdapterList()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD